Bug 17010 - Canceling a hold awaiting pickup no longer alerts librarian about next hold
Summary: Canceling a hold awaiting pickup no longer alerts librarian about next hold
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 17749
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-01 13:30 UTC by Kyle M Hall
Modified: 2019-06-27 09:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17010 - Canceling a hold that has been waiting too long from Holds Awaiting Pickup no longer alerts librarian about next hold (3.39 KB, patch)
2016-08-01 14:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17010 - Canceling a hold awaiting pickup no longer alerts librarian about next hold (3.45 KB, patch)
2016-08-09 17:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17010 [Follow-up] Canceling a hold awaiting pickup no longer alerts librarian about next hold (1.98 KB, patch)
2016-08-09 17:02 UTC, Owen Leonard
Details | Diff | Splinter Review
y# Attachment to Bug 17010 - Canceling a hold awaiting pickup no longer alerts librarian about next hold (1.99 KB, patch)
2016-09-09 02:47 UTC, Liz Rea
Details | Diff | Splinter Review
[PASSED QA] Bug 17010 - Canceling a hold awaiting pickup no longer alerts librarian about next hold (3.47 KB, patch)
2016-09-10 08:16 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 17010 [Follow-up] Canceling a hold awaiting pickup no longer alerts librarian about next hold (2.06 KB, patch)
2016-09-10 08:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17010 FOLLOWUP fix typo (1.35 KB, patch)
2016-12-08 19:43 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-08-01 13:30:23 UTC
In previous versions of Koha, if a hold canceled from the "Holds over" tab had other holds on it, the librarian would be alerted with the message "This item is on hold for pick-up at your library" and directed to check it in to fill the next hold. This no longer happens.
Comment 1 Kyle M Hall 2016-08-01 14:25:56 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-08-09 17:02:24 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2016-08-09 17:02:36 UTC Comment hidden (obsolete)
Comment 4 Liz Rea 2016-09-09 02:47:20 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2016-09-10 08:16:49 UTC
Created attachment 55459 [details] [review]
[PASSED QA] Bug 17010 - Canceling a hold awaiting pickup no longer alerts librarian about next hold

In previous versions of Koha, if a hold canceled from the "Holds over" tab had other holds on it,
the librarian would be alerted with the message "This item is on hold for pick-up at your library"
and directed to check it in to fill the next hold. This no longer happens.

Test Plan:
1) Apply this patch
2) Find a hold that has been waiting too long
3) Cancel that hold via waitingreserves.pl
4) Note you get the message "This item is on hold for pick-up at your library"
5) Confirm the ok button redirects you to the correct tab

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 6 Katrin Fischer 2016-09-10 08:17:19 UTC
Created attachment 55460 [details] [review]
[PASSED QA] Bug 17010 [Follow-up] Canceling a hold awaiting pickup no longer alerts librarian about next hold

This patch makes a minor change to the markup to make the button in the
confirmation dialog conform to the appearance of similar buttons.

To test, follow the original test plan for this bug and verify that the
"OK" button in the dialog looks correct.

Signed-off-by: Liz Rea <liz@catalyst.net.nz>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 7 Kyle M Hall 2016-09-15 13:35:40 UTC
Pushed to master for 16.11, thanks for the followup Owen!
Comment 8 Frédéric Demians 2016-09-15 14:59:58 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 9 Julian Maurice 2016-09-16 10:01:14 UTC
Pushed to 3.22.x, will be in 3.22.11
Comment 10 Nick Clemens 2016-12-08 19:43:25 UTC
Created attachment 58052 [details] [review]
Bug 17010 FOLLOWUP fix typo

waitingreserves.p#[% tab %]

should be

waitingreserves.pl#[% tab %]
Comment 11 Nick Clemens 2016-12-08 19:56:49 UTC
Comment on attachment 58052 [details] [review]
Bug 17010 FOLLOWUP fix typo

Moved followup to bug 17749